
TYPO3.Neos - Bug # 53611

Status: Resolved Priority: Should have
Author: Tim Kandel Category:
Created: 2013-11-13 Assigned To:
Updated: 2013-12-13 Due date:
Subject: Markup is lost upon publishing
Description

Reproduce: Add a new text element to your site and create a table within. Fill it with data and publish it: all <table> markup is gone.

This is also happens if you try to align text.

History
#1 - 2013-12-01 17:41 - Riccardo De Contardi

+1.  Happened to me, too

#2 - 2013-12-02 08:19 - Jan Kiesewetter

I can confirm this problem.

#3 - 2013-12-07 20:55 - Tim Kandel
- Subject changed from Table loses markup upon publishing to Markup is lost upon publishing

#4 - 2013-12-07 21:00 - Jacob Floyd

I think this is because Aloha is filtering all but a select set of tags, and the table tags are not included in the list.

Probably, we should add table,tt,td,th,etc to the list of permitted tags.

We shouldn't however, turn off the filtering, or we'll get to deal with Microsoft Word crap tags.

#5 - 2013-12-10 08:32 - Jan Kiesewetter

But as there is a "Create table" menu this has to work.
Is there any configuration for the tag filter?

#6 - 2013-12-12 21:27 - Jan Kiesewetter

Works now with version 1.0

#7 - 2013-12-13 08:03 - Tim Kandel
- Status changed from New to Resolved
- % Done changed from 0 to 100
